/**
 * Created by june on 2017/3/13.
 */
const webpack = require('webpack');
const path = require('path');
const webapp = __dirname;
module.exports = {
    entry: {
        main: [
            path.join(webapp, 'entry', 'index.js')
        ]
    },
    output: {
        filename: '[name].js',
        path: path.join(webapp, 'dist'),
        publicPath: '/dist/'
    },
    module: {
        loaders: [{
                test: /nej\-commonjs/,
                loader: "imports-loader?this=>window"
            }
        ]
    },
    resolve: {
        alias: {
        }
    },
    devtool: 'cheap-source-map',
    plugins:[
        new webpack.DefinePlugin({
            DEBUG: JSON.stringify(false),
            CMPT: JSON.stringify(true)
        })
    ]
};
